ALSA project - the C library reference

Loading...
Searching...
No Matches
Data Structures | Macros | Typedefs | Enumerations | Functions
control_external.h File Reference

External control plugin SDK. More...

Go to the source code of this file.

## Data Structures
struct | snd_ctl_ext_t
struct | snd_ctl_ext_callback_t

## Macros
#define | SND_CTL_PLUGIN_ENTRY(name)
#define | SND_CTL_PLUGIN_SYMBOL(name)
#define | SND_CTL_PLUGIN_DEFINE_FUNC(plugin)
#define | SND_CTL_EXT_VERSION_MAJOR 1
#define | SND_CTL_EXT_VERSION_MINOR 0
#define | SND_CTL_EXT_VERSION_TINY 1
#define | SND_CTL_EXT_VERSION
#define | SND_CTL_EXT_KEY_NOT_FOUND (snd_ctl_ext_key_t)(-1)

## Typedefs
typedef unsigned long | snd_ctl_ext_key_t
typedef snd_ctl_ext | snd_ctl_ext_t
typedef snd_ctl_ext_callback | snd_ctl_ext_callback_t
typedef int | snd_ctl_ext_tlv_rw_t(snd_ctl_ext_t *ext, snd_ctl_ext_key_t key, int op_flag, unsigned int numid, unsigned int *tlv, unsigned int tlv_size)

## Enumerations
enum | snd_ctl_ext_access_t { SND_CTL_EXT_ACCESS_READ = (1<<0) , SND_CTL_EXT_ACCESS_WRITE = (1<<1) , SND_CTL_EXT_ACCESS_READWRITE = (3<<0) , SND_CTL_EXT_ACCESS_VOLATILE = (1<<2) , SND_CTL_EXT_ACCESS_TLV_READ = (1<<4) , SND_CTL_EXT_ACCESS_TLV_WRITE = (1<<5) , SND_CTL_EXT_ACCESS_TLV_READWRITE = (3<<4) , SND_CTL_EXT_ACCESS_TLV_COMMAND = (1<<6) , SND_CTL_EXT_ACCESS_INACTIVE = (1<<8) , SND_CTL_EXT_ACCESS_TLV_CALLBACK = (1<<28) }

## Functions
int | snd_ctl_ext_create (snd_ctl_ext_t *ext, const char *name, int mode)
| Create an external control plugin instance.
int | snd_ctl_ext_delete (snd_ctl_ext_t *ext)
| Delete the external control plugin.

## Detailed Description

External control plugin SDK.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2005

External control plugin SDK.